<template>
  <div>
    <router-link to="/journal-de-bord">
      <img id="Anastasis" src="/ressources/anastasis.png" alt="" />
    </router-link>

    <div class="box">
      <h3>Fais le bon choix</h3>

      <div class="password">
        <input v-model="c1" maxlength="1" @input="testPwd($event.target)" />
        <input v-model="c2" maxlength="1" @input="testPwd($event.target)" />
        <input v-model="c3" maxlength="1" @input="testPwd($event.target)" />
        <input v-model="c4" maxlength="1" @input="testPwd($event.target)" />
        <input v-model="c5" maxlength="1" @input="testPwd($event.target)" />
        <input v-model="c6" maxlength="1" @input="testPwd($event.target)" />
      </div>

      <div class="error" v-if="isError">Accès refusé, veuillez réessayer</div>
      <button class="button" @click="redirectToEnd()" v-if="textButton != ''">
        {{ textButton }}
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: "FinalPage",
  methods: {
    testPwd: function (elem) {
      this.isError = false;
      if (
        this.c1 == "2" &&
        this.c2 == "2" &&
        this.c3 == "1" &&
        this.c4 == "1" &&
        this.c5 == "6" &&
        this.c6 == "3"
      ) {
        this.textButton = "Supprimer les données";
        this.urlEnd = "suppression-donnees";
      } else if (
        this.c1 == "7" &&
        this.c2 == "2" &&
        this.c3 == "3" &&
        this.c4 == "4" &&
        this.c5 == "5" &&
        this.c6 == "6"
      ) {
        this.textButton = "Envoyer les données";
        this.urlEnd = "envoi-donnees";
      } else {
        this.textButton = "";
        this.urlEnd = "";
      }

      if (elem.nextSibling) elem.nextSibling.focus();
    },
    redirectToEnd: function () {
      if (this.urlEnd != "") this.$router.push({ path: this.urlEnd });
    }
  },
  data() {
    return {
      c1: "",
      c2: "",
      c3: "",
      c4: "",
      c5: "",
      c6: "",
      textButton: "",
      urlEnd: "",
      isError: false,
      isConnected: false,
    };
  },
  mounted() {
    if (!this.$cookie.get("connected")) {
      this.$router.push({ path: "/journal-de-bord" });
    }
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.password {
  margin-top: 50px;
  display: flex;
  justify-content: space-between;
}

.password input {
  width: 35px;
  font-size: 30px;
  text-align: center;
}
</style>
